<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
    http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>me.chyxion.tigon</groupId>
    <artifactId>tigon</artifactId>
    <version>0.0.1-SNAPSHOT</version>
    <packaging>pom</packaging>
    <name>Tigon</name>
    <description>Tigon</description>

    <properties>
        <maven.compiler.source>1.8</maven.compiler.source>
        <maven.compiler.target>1.8</maven.compiler.target>
        <spring.version>5.0.7.RELEASE</spring.version>
        <spring-boot.version>2.0.3.RELEASE</spring-boot.version>
    </properties>

    <scm>
        <connection>scm:git:https://github.com/chyxion/tigon.git</connection>
        <developerConnection>scm:git:git@github.com:chyxion/tigon.git</developerConnection>
        <url>https://github.com/chyxion/tigon</url>
    </scm>

    <developers>
        <developer>
            <id>chyxion</id>
            <name>Shaun Chyxion</name>
            <email>chyxion@163.com</email>
            <url>http://chyxion.github.io</url>
        </developer>
    </developers>

    <modules>
        <module>tigon-model</module>
        <module>tigon-mybatis</module>
        <module>tigon-sequence</module>
        <module>tigon-mybatis-cache-redis</module>
        <module>tigon-shiro-cache</module>
        <module>tigon-shiro-cache-redis</module>
        <module>tigon-shiro-core</module>
        <module>tigon-shiro-cas</module>
        <module>tigon-shiro</module>
        <module>tigon-web</module>
        <module>tigon-service-api</module>
        <module>tigon-service-support</module>
        <module>tigon-extjs</module>
        <module>tigon-codegen</module>
    </modules>

    <dependencyManagement>
        <dependencies>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-model</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-mybatis</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-sequence</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-web</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-mybatis-cache-redis</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-shiro-cache</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-shiro-cache-redis</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-shiro-core</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-shiro</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-shiro-cas</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-service-api</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-service-support</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-extjs</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>me.chyxion.tigon</groupId>
                <artifactId>tigon-codegen</artifactId>
                <version>${project.version}</version>
            </dependency>
            <dependency>
                <groupId>org.projectlombok</groupId>
                <artifactId>lombok</artifactId>
                <version>1.18.0</version>
            </dependency>
            <!-- Spring Boot -->
            <dependency>
                <groupId>org.springframework</groupId>
                <artifactId>spring-framework-bom</artifactId>
                <version>${spring.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.data</groupId>
                <artifactId>spring-data-releasetrain</artifactId>
                <version>Kay-SR2</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-dependencies</artifactId>
                <version>${spring-boot.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>
            <dependency>
                <groupId>cglib</groupId>
                <artifactId>cglib</artifactId>
                <version>3.2.4</version>
            </dependency>
            <!-- / Spring Boot -->
        </dependencies>
    </dependencyManagement>

    <build>
        <plugins>
            <plugin>
                <groupId>org.springframework.boot</groupId>
                <artifactId>spring-boot-maven-plugin</artifactId>
                <configuration>
                    <skip>true</skip>
                </configuration>
            </plugin>
        </plugins>
        <pluginManagement>
            <plugins>
                <plugin>
                    <groupId>org.springframework.boot</groupId>
                    <artifactId>spring-boot-maven-plugin</artifactId>
                    <version>${spring-boot.version}</version>
                    <configuration>
                        <addResources>true</addResources>
                        <layout>ZIP</layout>
                    </configuration>
                    <executions>
                        <execution>
                            <goals>
                                <goal>repackage</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>
